Which Themes should I use with LiveCanvas?

Many page builders can run out of the box on any given WordPress Theme.

From a technical point of view, this is very easy to achieve – as simply the page builder plugin will typically load it’s CSS library ON TOP of your Theme’s CSS – another source of bloat, duplication, disorder, and poor performance.

We decided to make something different with LiveCanvas.

The LiveCanvas plugin assumes you are using a theme which is based on Bootstrap 4 – and does NOT load ANY extra CSS or JS file.

So bloat is minimized – but there’s another interesting side effect.

If for some reason you want to switch off the page builder plugin, the site will still be there with LiveCanvas.

Not with any other page builder out there.

Recommended Themes to use with LiveCanvas

The LiveCanvas plugin, upon first launch, will check if one of the two following themes are used, and show a message if you’re not. These are the two recommended Themes:

UnderStrap

UnderStrap is a very solid and efficient open source WordPress starter Theme based on Bootstrap 4.

It’s the GitHub project that received most positive votes from worldwide developers in his league: WordPress and Bootstrap 4.

It’s Woocommerce-compatible, SASS command-line friendly, and includes a very basic and unopinionated styling – so you can “bend” it easily adding your own code if you want.

It lacks customization options, and it’s quite “geek” oriented – that’s why we created a child theme to add some sugar to it, CustomStrap.

CustomStrap [** RECOMMENDED CHOICE **]

CustomStrap is our own Theme, and it’s an UnderStrap child theme. It’s free and open source as well.

While adding no bloat to your pages, it allows customizing the Bootstrap colors and variables without using the command line tools – thanks to its built-in SCSS compiler, directly via the Theme Customizer.

It adds some really nice options to UnderStrap – while keeping things lean and clean.

Your own custom theme

If you want to run LiveCanvas with your own custom WordPress Theme, you’re welcome to do this.

The only requirements are the following:

  1. [mandatory] Your Theme’s CSS must include Bootstrap 4
  2. [recommended] Your Theme must include FontAwesome 4.7
  3. [recommended] [LiveCanvas v 1.24 required] Your Theme must include the following line in the functions.php file to get rid of the annoying dialog recommending UnderStrap:
 function lc_theme_is_livecanvas_friendly(){}